<div class="absolute inset-0 flex flex-col min-w-0 overflow-hidden">
    <!-- Header -->
    <div
        class="flex flex-row flex-0 items-center justify-between p-6 sm:pt-2 pb-10 sm:px-10"
    >
        <div class="flex-1 min-w-0">
            <!-- Title -->
            <div class="mt-1">
                <h2
                    class="text-3xl font-extrabold tracking-tight leading-10 truncate"
                >
                    สรุปผลการเยี่ยมบ้าน
                </h2>
            </div>
        </div>
        <!-- Actions -->
        <div class="flex shrink-0 items-center mt-6 sm:mt-0 sm:ml-4">
            <button
                class="ml-3"
                mat-flat-button
                class="bg-red-300 text-white"
                (click)="back()"
            >
                <mat-icon
                    class="icon-size-5 mr-2"
                    [svgIcon]="'heroicons_solid:chevron-left'"
                ></mat-icon>
                Back
            </button>
        </div>
    </div>

    <!-- Main -->
    <div class="flex-auto -mt-12 p-4 shadow overflow-y-auto bg-card" cdkScrollable>
        <mat-card>
            <mat-card-header class="bg-green-200 rounded-t-md pb-2">
                <mat-card-title class="pl-2 text-xl font-bold"
                    >บันทึกผลการเยี่ยมบ้าน</mat-card-title
                >
            </mat-card-header>
            <div class="flex flex-auto flex-wrap">
                <div class="pl-10 min-w-fit mr-2 mt-2">
                    <b>ชื่อ-สกุล :</b> {{ itemStorage.title
                    }}{{ itemStorage.first_name }}
                    {{ itemStorage.last_name }}
                </div>
                <div class="pl-10 min-w-fit mr-2 mt-2">
                    <b>เลขบัตรประชาชน :</b> {{ itemStorage.cid | thaicid }}
                </div>
                <div class="pl-10 min-w-fit mr-2 mt-2">
                    <b>เพศ :</b> {{ itemStorage.gender_name }}
                </div>
                <div class="pl-10 min-w-fit mr-2 mt-2">
                    <b>วันเกิด :</b> {{ itemStorage.dob | thaidate : "medium" }}
                </div>
                <div class="pl-10 min-w-fit mr-2 mt-2">
                    <b>อายุ :</b> {{ itemStorage.age | thaiage }}
                </div>
                <div class="pl-10 min-w-fit mr-2 mt-2">
                    <b>ที่อยู่ปัจจุบัน : </b> {{ itemStorage.patient_address_name }}
                </div>
                <div class="pl-10 min-w-fit mr-2 mt-2">
                    <b>เบอร์ติดต่อ : </b> {{ itemStorage.phone_number }}
                </div>
                <div class="pl-10 min-fit mr-2 mt-2">
                    <b>สิทธิการรักษา :</b> {{ itemStorage.patient_right }}
                </div>
            </div>
            <mat-card-content>
                <form class="example-form mt-6">
                    <mat-form-field class="example-full-width w-full">
                        <mat-label class="font-bold">สรุปผลการเยี่ยมบ้าน :</mat-label>
                        <textarea matInput name="summary" [(ngModel)]="summary"></textarea>
                    </mat-form-field>
                </form>

                <form class="example-form">
                    <mat-form-field class="example-full-width w-full">
                        <mat-label class="font-bold">ปัญหาและข้อมูลเพิ่มเติม :</mat-label>
                        <textarea matInput name="problem_and_comment" [(ngModel)]="problem_and_comment"></textarea>
                    </mat-form-field>
                </form>
            </mat-card-content>
            <div class="flex flex-auto flex-wrap my-2 bg-indigo-100 p-2">
                <div *ngFor="let e of result">
                    <button
                        mat-raised-button
                        class="bg-indigo-600 rounded-xl m-1 text-white"
                        (click)="openDialog(e)"
                    >
                        {{ e.question_text }}
                    </button>
                </div>
            </div>
            <form class="example-form ml-4">
                <mat-label ><b>ผลของการเยี่ยมบ้าน :</b></mat-label>&nbsp;
                <mat-radio-group aria-label="ผลของการเยี่ยมบ้าน" name="result_code" [(ngModel)]="result_code">
                    <mat-radio-button value="1">ดีขึ้น</mat-radio-button>
                    <mat-radio-button value="2">คงที่</mat-radio-button>
                    <mat-radio-button value="3">แย่ลง</mat-radio-button>
                    <mat-radio-button value="9">ประเมินไม่ได้</mat-radio-button>
                </mat-radio-group>
            </form>
            <form class="example-form ml-4">
                <mat-label class="mt-2"><b>แผนการดูแล :</b></mat-label>&nbsp;
                <mat-radio-group aria-label="ผลของการเยี่ยมบ้าน" name="plan_code" [(ngModel)]="plan_code" (click)="chkradio()">
                    <mat-radio-button value="1">ส่งต่อโรงพยาบาลชุมชน</mat-radio-button>
                    <mat-radio-button value="2">ส่งต่อโรงพยาบาลทั่วไป</mat-radio-button>
                    <mat-radio-button value="3">ส่งต่อโรงพยาบาลโรงพยาบาลศูนย์</mat-radio-button>
                    <mat-radio-button value="4">ส่งต่อโรงพยาบาลโรงพยาบาลนอกสังกัด</mat-radio-button>
                <p><span><b>การเยี่ยม :</b></span>
                    <mat-radio-button value="9">ไม่จำเป็นต้องติดตามต่อ</mat-radio-button>
                    <mat-radio-button value="8">เยี่ยมครั้งต่อไปในวันที่</mat-radio-button>
                    <mat-form-field appearance="fill" class="ml-2">
                        <!-- <mat-label>Choose a date</mat-label> -->
                        <input matInput [matDatepicker]="picker" name="plan_name" [(ngModel)]="plan_name"/>
                        <!-- <mat-hint>MM/DD/YYYY</mat-hint> -->
                        <mat-datepicker-toggle
                            matIconSuffix
                            [for]="picker"
                        ></mat-datepicker-toggle>
                        <mat-datepicker
                            #picker
                        ></mat-datepicker> </mat-form-field
                    >
                    </p>
                </mat-radio-group>
            </form>
            <!-- <mat-divider></mat-divider> -->
            <form class="example-form w-full">
                <mat-card-actions class="justify-center">
                    <button mat-raised-button class="bg-green-200 text-green-600" (click)="save()">
                        <mat-icon class="text-green-600">cloud_upload</mat-icon>
                        บันทึกสรุปผลเยี่ยมบ้าน
                    </button>
                </mat-card-actions>
            </form>
        </mat-card>
    </div>
</div>
